pkgname=lunaos-hooks
pkgrel=1
pkgver=.
pkgdesc='LunaOS Hooks'
depends=('bash' 'find-the-command' 'pkgfile')
groups=('lunaos')
arch=('any')
license=('GPL3')
url="https://gitlab.com/LunaOS/pkgbuilds/lunaos-core-pkgbuilds/system/base/lunaos-hooks/master"
source=("git+https://gitlab.com/LunaOS/pkgbuilds/lunaos-core-pkgbuilds/system/base/lunaos-hooks")
sha512sums=('SKIP')

pkgver() {
	cd "$pkgname"
	printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short=7 HEAD)"
}

package() {
  cd "$pkgname"
  local hooks="$pkgdir/usr/share/libalpm/hooks"
  local bin="$pkgdir/usr/share/libalpm/scripts"

  install -Dm644 refind.hook                             "$hooks/refind.hook"
  install -Dm644 lunaos-zsh.hook                         "$hooks/lunaos-zsh.hook"
  install -Dm644 lunaos-fish.hook                        "$hooks/lunaos-fish.hook"
  install -Dm644 lunaos-bash.hook                        "$hooks/lunaos-bash.hook"
  install -Dm644 lunaos-settings.hook                    "$hooks/lunaos-settings.hook"
  install -Dm644 lunaos-lsb-release.hook                 "$hooks/lsb-release.hook"
  install -Dm644 lunaos-os-release.hook                  "$hooks/os-release.hook"
  install -Dm644 lunaos-firefox.hook                     "$hooks/lunaos-firefox.hook"
  install -Dm644 lunaos-arch-clean.hook                  "$hooks/lunaos-arch-clean.hook"
  install -Dm644 lunaos-reboot-required.hook             "$hooks/lunaos-reboot-required.hook"
  install -Dm644 pkgfile.hook                            "$hooks/pkgfile.hook"
  install -Dm644 orphans.hook                            "$hooks/orphans.hook"
  install -Dm644 blocked-packages.hook                   "$hooks/blocked-packages.hook"
  install -Dm644 10-lunaos-coredump.hook              	 "$hooks/10-lunaos-coredump.hook"
  install -Dm644 95-systemd-boot.hook              	     "$hooks/95-systemd-boot.hook"
  install -Dm644 ${pkgname}.hook                         "$hooks/${pkgname}.hook"
  install -Dm755 ${pkgname}-runner                       "$bin/${pkgname}-runner"
}
